package com.chinapnr.mis.lib.bean;

import android.bluetooth.BluetoothDevice;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;

import java.util.Arrays;


public class Device implements Parcelable {


    private String name;
    private String address;
    private boolean isBond;

    public Device(String name, String address) {
        this(name, address,  true);
    }

    public Device(String name, String address, boolean isBond) {
        this.name = name;
        this.address = address;
        this.isBond = isBond;
    }

    protected Device(Parcel in) {
        name = in.readString();
        address = in.readString();
        isBond = in.readByte() != 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(name);
        dest.writeString(address);
        dest.writeByte((byte) (isBond ? 1 : 0));
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<Device> CREATOR = new Creator<Device>() {
        @Override
        public Device createFromParcel(Parcel in) {
            return new Device(in);
        }

        @Override
        public Device[] newArray(int size) {
            return new Device[size];
        }
    };

    public boolean isBond() {
        return isBond;
    }

    public String getName() {
        return TextUtils.isEmpty(name) ? "NULL" : name;
    }

    public String getAddress() {
        return TextUtils.isEmpty(address) ? "" : address;
    }

    public Device setBond(boolean bond) {
        isBond = bond;
        return this;
    }

    public Device setName(String name) {
        this.name = name;
        return this;
    }

    public Device setAddress(String address) {
        this.address = address;
        return this;
    }

    @Override
    public String toString() {
        return "Device{" +
                "name='" + name + '\'' +
                ", address='" + address + '\'' +
                ", isBond=" + isBond +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        Device that = (Device) o;

        return name.equals(that.name) && address.equals(that.address);

    }

}

