package com.chinapnr.mis.lib.config;

/**
 * 接口类型
 *  <ul>
 *      <li>1.支付类{@link Trans}
 *          <ul>
 *              <li>1.1 消费接口 {@link Trans#IT_PAY} </li>
 *              <li>1.2 消费撤销接口 {@link Trans#IT_VOID} </li>
 *              <li>1.3 消费退款接口 {@link Trans#IT_REFUND} </li>
 *              <li>1.4 花呗分期接口 {@link Trans#IT_HBFQ} </li>
 *              <li>1.5 预授权接口 {@link Trans#IT_AUTH} </li>
 *              <li>1.6 预授权完成接口 {@link Trans#IT_AUTH_SALE} </li>
 *              <li>1.7 预授权撤销接口 {@link Trans#IT_AUTH_VOID} </li>
 *              <li>1.8 预授权完成撤销接口 {@link Trans#IT_AUTH_SALE_VOID} </li>
 *          </ul>
 *      </li>
 *      <li>2.管理类{@link Manager}
 *          <ul>
 *              <li>2.1 操作员登录接口 {@link Manager#IT_OPER_LOGIN} </li>
 *              <li>2.2 商户号登录接口 {@link Manager#IT_MEM_LOGIN} </li>
 *              <li>2.3 注销（登出）接口 {@link Manager#IT_LOGOUT} </li>
 *              <li>2.4 获取商户信息接口 {@link Manager#IT_GET_MSG} </li>
 *              <li>2.5 补打签购单接口 {@link Manager#IT_REPRINT} </li>
 *              <li>2.6 换班接口 {@link Manager#IT_SHIFTS} </li>
 *              <li>2.7 设置接口 {@link Manager#IT_SETTING} </li>
 *          </ul>
 *      </li>
 *      <li>3.数据类{@link Data}
 *          <ul>
 *              <li>3.1 查询明细接口 {@link Data#IT_QUERY_ORDER} </li>
 *              <li>3.2 日对账单接口 {@link Data#IT_DAY_BILL} </li>
 *              <li>3.3 交易列表查询接口 {@link Data#IT_TRANS_QUERY} </li>
 *              <li>3.4 余额查询接口 {@link Data#IT_BALANCE_QUERY} </li>
 *          </ul>
 *      </li>
 *      <li>4.硬件类 {@link HW}
 *          <ul>
 *              <li>4.1 打印机打印接口 {@link HW#IT_HW_PRINT} </li>
 *              <li>4.2 摄像头扫码接口 {@link HW#IT_HW_SCAN} </li>
 *          </ul>
 *      </li>
 *  </ul>
 *
 *
 */
public class InterfaceType {

    /**
     * 1.支付类接口
     */
    public class Trans{
        /**
         * 1.1 消费接口
         */
        public static final String IT_PAY = "payment";
        /**
         * 1.2 消费撤销接口
         */
        public static final String IT_VOID = "paymentVoid";
        /**
         * 1.3 消费退款接口
         */
        public static final String IT_REFUND = "refund";
        /**
         * 1.4 花呗分期接口
         */
        public static final String IT_HBFQ = "flowerChoking";
        /**
         * 1.5 预授权接口
         */
        public static final String IT_AUTH = "auth";
        /**
         * 1.6 预授权完成接口
         */
        public static final String IT_AUTH_SALE = "authsale";
        /**
         * 1.7 预授权撤销接口
         */
        public static final String IT_AUTH_VOID = "voidauth";
        /**
         * 1.8 预授权完成撤销接口
         */
        public static final String IT_AUTH_SALE_VOID = "voidauthsale";
    }

    /**
     * 管理类接口
     */
    public class Manager {
        /**
         * 2.1 操作员登录接口
         */
        public static final String IT_OPER_LOGIN = "login";
        /**
         * 2.2 商户号登录接口
         */
        public static final String IT_MEM_LOGIN = "autoLogin";
        /**
         * 2.3 注销（登出）接口
         */
        public static final String IT_LOGOUT = "logout";
        /**
         * 2.4 获取商户信息接口
         */
        public static final String IT_GET_MSG = "getMsg";
        /**
         * 2.5 补打签购单接口
         */
        public static final String IT_REPRINT = "rePrint";
        /**
         * 2.6 换班接口
         */
        public static final String IT_SHIFTS = "shifts";
        /**
         * 2.7 设置接口
         */
        public static final String IT_SETTING = "setting";
    }

    /**
     * 3.数据类接口
     */
    public class Data{
        /**
         * 3.1 查询明细接口
         */
        public static final String IT_QUERY_ORDER = "queryOrder";
        /**
         * 3.2 日对账单接口
         */
        public static final String IT_DAY_BILL = "dayBill";
        /**
         * 3.3 交易列表查询接口
         */
        public static final String IT_TRANS_QUERY = "transQuery";
        /**
         * 3.4 余额查询接口H
         */
        public static final String IT_BALANCE_QUERY = "balanceQuery";
    }

    /**
     * 4.硬件类接口
     */
    public class HW {
        /**
         * 4.1 打印机打印接口
         */
        public static final String IT_HW_PRINT = "print";
        /**
         * 4.2 摄像头扫码接口
         */
        public static final String IT_HW_SCAN = "scan";
    }

}
