package com.chinapnr.mis.lib.config;

public class PnrResponseKey {
    /**
     * 系统返回码，必填
     * 汇付支付系统的返回码
     * <ul>
     *     <li>00:交易成功</li>
     *     <li>TF:交易失败</li>
     *     <li>PE:入参错误</li>
     *     <li>UL:未登录或取消登录</li>
     *     <li>UF:未查到</li>
     *     <li>TP:交易处理中</li>
     *     <li>UN:MIS应用未安装</li>
     *     <li>IN:未初始化</li>
     * </ul>
     */
    public static final String KEY_RESPONSECODE = "responseCode";

    /**
     * 错误信息，非必填
     * 适用于以下接口的返回值
     * 当返回码{@link #KEY_RESPONSECODE}为非00时出现
     */
    public static final String KEY_MESSAGE = "message";

    /**
     * 订单号，必填
     * 适用于所有接口的返回值
     * 传入的merOrdId不为空时则返回传入的merOrdId
     * 否则返回收银台自动生成的订单号（终端订单号termOrdId）
     */
    public static final String KEY_MER_ORD_ID = "merOrdId";

}
