package com.chinapnr.mis.lib.config.key.data;

import com.chinapnr.mis.lib.config.InterfaceType;

/**
 * 消费接口{@link InterfaceType.Data#IT_DAY_BILL} 请求参数key值
 */
public class DayBillRequestKey {



    /**
     * 商户号，非必填
     * 不传时默认使用收银台的商户入账；否则采用相应的第三方商户入账
     */
    public static final String KEY_MEMBER_ID = "memberId";

    /**
     * 操作员，非必填，memberId不为空且与本地商户不一致时必填
     */
    public static final String KEY_MER_OPER_ID = "merOperId";

    /**
     * 打印操作员标识，非必填
     * 是否打印当前交易操作员，memberId为空时强制为本地操作员，memberId不为空时选填，如下说明：
     * “0”：交易上传的操作员
     * “1”或“”或null：本地操作员
     */
    public static final String KEY_MER_OPER_ID_PRINTED = "merOperIdPrinted";

    /**
     * 交易日期，必填
     *  日对账单查询的日期，定长8位如“20181219”
     */
    public static final String KEY_TRANS_DATE = "transDate";
}
