package com.chinapnr.mis.lib.config.key.manager;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 换班列表明细对象
 */
public class DailyTransInfo implements Parcelable {

    /**
     * 交易类型
     * <ul>
     *     <li>1000 消费</li>
     *     <li>1010 预授权</li>
     *     <li>1020 预授权完成</li>
     *     <li>2000 消费撤销</li>
     *     <li>2010 预授权撤销</li>
     *     <li>2020 预授权完成撤销</li>
     *     <li>2030 消费退货</li>
     * </ul>
     */
    private String transType;

    /**
     * 交易方式
     * <ul>
     *     <li>1001  刷卡</li>
     *     <li>1010  支付宝主扫</li>
     *     <li>1011  支付宝被扫</li>
     *     <li>1012  支付宝主扫无机具</li>
     *     <li>1013  支付宝被扫无机具</li>
     *     <li>1020  微信主扫</li>
     *     <li>1021  微信被扫</li>
     *     <li>1022  微信主扫无机具</li>
     *     <li>1023  微信被扫无机具</li>
     *     <li>1031  银联主扫</li>
     *     <li>1032  银联被扫</li>
     *     <li>1033  银联主扫无机具</li>
     *     <li>1034  银联被扫无机具</li>
     *     <li>1040  云闪付</li>
     * </ul>
     */
    private String payType;
    /**
     * 交易笔数
     */
    private String transNum;
    /**
     * 交易金额
     */
    private String transAmt;
    /**
     * 卡类型
     * <ul>
     *     <li>D 借记卡</li>
     *     <li>C 贷记卡</li>
     *     <li>S 准贷记卡</li>
     *     <li>P 预付费卡</li>
     * </ul>
     *
     */
    private String dcType;

    protected DailyTransInfo(Parcel in) {
        transType = in.readString();
        payType = in.readString();
        transNum = in.readString();
        transAmt = in.readString();
        dcType = in.readString();
    }

    public static final Creator<DailyTransInfo> CREATOR = new Creator<DailyTransInfo>() {
        @Override
        public DailyTransInfo createFromParcel(Parcel in) {
            return new DailyTransInfo(in);
        }

        @Override
        public DailyTransInfo[] newArray(int size) {
            return new DailyTransInfo[size];
        }
    };

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getTransNum() {
        return transNum;
    }

    public void setTransNum(String transNum) {
        this.transNum = transNum;
    }

    public String getTransAmt() {
        return transAmt;
    }

    public void setTransAmt(String transAmt) {
        this.transAmt = transAmt;
    }

    public String getDcType() {
        return dcType;
    }

    public void setDcType(String dcType) {
        this.dcType = dcType;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(transType);
        dest.writeString(payType);
        dest.writeString(transNum);
        dest.writeString(transAmt);
        dest.writeString(dcType);
    }
}
