package com.chinapnr.mis.lib.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.chinapnr.mis.lib.R;
import com.chinapnr.mis.lib.bean.Device;

import java.util.List;

public class CommonListAdapter extends BaseAdapter {

    private Device deviceInfo;
    private List<Device> dataList;
    private Context context;
    private LayoutInflater layoutInflater;

    public CommonListAdapter(Context context, List<Device> items){
        this.dataList = items;
        this.context = context;
        layoutInflater = LayoutInflater.from(context);
    }

    @Override
    public int getCount() {
        return dataList == null ? 0 : dataList.size();
    }

    @Override
    public Object getItem(int position) {
        return dataList == null ? "" : dataList.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View view, ViewGroup parent) {
        ViewHolder holder;
        if (view == null) {
            view = layoutInflater.inflate(R.layout.layout_common_list_item, parent, false);
            holder = new ViewHolder(view);
            view.setTag(holder);
        } else {
            holder = (ViewHolder) view.getTag();
        }

        holder.tv_name.setText(dataList.get(position).getName());
        holder.tv_mac.setText(dataList.get(position).getAddress());
        holder.tv_state.setText(dataList.get(position).isBond() ? "已配对":"");

        return view;
    }

    public class ViewHolder{
        TextView tv_name, tv_mac, tv_state, tv_rssi;
        ViewHolder(View view){
            tv_name = view.findViewById(R.id.tv_name);
            tv_mac = view.findViewById(R.id.tv_mac);
            tv_state = view.findViewById(R.id.tv_state);
//            tv_rssi = view.findViewById(R.id.tv_rssi);
        }
    }
//
//    public SearchResult getCheckIndex(){
//        return deviceInfo;
//    }
//
//    public void setCheck(SearchResult checkIndex) {
//        this.deviceInfo = checkIndex;
//        notifyDataSetChanged();
//    }

    public void setDataList(List<Device> dataList) {
        this.dataList = dataList;
    }
}
