package com.chinapnr.mis.demo.ui;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.chinapnr.mis.demo.R;
import com.chinapnr.mis.demo.utils.SharedPrefUtil;
import com.chinapnr.mis.lib.bean.Device;
import com.chinapnr.mis.lib.config.InterfaceType;
import com.chinapnr.mis.lib.config.PnrRequestKey;
import com.chinapnr.mis.lib.config.key.trans.PayRequestKey;
import com.chinapnr.mis.lib.listener.OnSelectDeviceListener;
import com.chinapnr.mis.lib.listener.OnSendListener;
import com.chinapnr.mis.lib.net.NetManager;
import com.chinapnr.mis.lib.socket.SocketManager;
import com.google.gson.JsonObject;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class NetActivity extends AppCompatActivity {

    private static final String TAG = NetActivity.class.getSimpleName();
    private EditText et_pay_data, et_device_data, et_pay_amt, et_pay_orderId;
    private Spinner sp_pay_channel;
    private String ipAddress;

    private String[] PAY_CHANNEL_NAME = {"银行卡", "扫码"};
    private String[] PAY_CHANNEL_CODE = {"acquire", "scan"};

    private String payChannel;
    private String amount;
    private String orderId;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_net);
        et_pay_data = findViewById(R.id.et_pay_data);
        sp_pay_channel = findViewById(R.id.sp_pay_channel);
        et_device_data = findViewById(R.id.et_device_data);
        et_pay_amt = findViewById(R.id.et_pay_amt);
        et_pay_orderId = findViewById(R.id.et_pay_orderId);
        et_pay_amt.setText("1");


        ArrayAdapter<String> adapter = new ArrayAdapter<>(NetActivity.this, R.layout.array_item, PAY_CHANNEL_NAME);
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        sp_pay_channel.setAdapter(adapter);
        sp_pay_channel.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {

            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
//                if (position == 0){
//                    payChannel =
//                }
                payChannel = PAY_CHANNEL_CODE[position];
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {
                payChannel = PAY_CHANNEL_CODE[0];
            }
        });
        ipAddress = SharedPrefUtil.getInstance(getApplicationContext()).getString("ipAddress", ipAddress);
        et_device_data.setText(ipAddress);
        findViewById(R.id.btn_pay).setOnClickListener(v->{
            ipAddress = et_device_data.getText().toString();
            SharedPrefUtil.getInstance(getApplicationContext()).putString("ipAddress", ipAddress);
            JsonObject jsonObject = new JsonObject();
            jsonObject.addProperty(PayRequestKey.KEY_CHANNEL_ID, payChannel);
            jsonObject.addProperty(PayRequestKey.KEY_ORD_AMT, et_pay_amt.getText().toString());
            jsonObject.addProperty(PayRequestKey.KEY_OUT_ORD_ID, et_pay_orderId.getText().toString());
            jsonObject.addProperty(PayRequestKey.KEY_ORD_REMARK, "5201314");
//            tvRequest.setText("接口:" + InterfaceType.Trans.IT_PAY + "\n" + "参数：" + jsonObject.toString());

            jsonObject.addProperty(PnrRequestKey.KEY_INTERFACE_TYPE, InterfaceType.Trans.IT_PAY);

            NetManager.getInstance(NetActivity.this).sendMessage(ipAddress, jsonObject.toString(), true, new OnSendListener() {
                @Override
                public void onSendSuccess() {
                    Log.d(TAG, "发送成功");
                }

                @Override
                public void onReceiveSuccess(String data) {
                    Log.d(TAG, "接收成功：" + data);
                }

                @Override
                public void onError(int code, String message) {
                    Log.d(TAG, "错误：" + code + "," + message);
                }
            });
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
        et_pay_orderId.setText(getRandomMemberOrderId());
    }

    public String getRandomMemberOrderId(){
        Random random = new Random();
        return new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + "E" + String.format("%05d", random.nextInt(100000));
    }
}